# $Revision: 1.23 $, $Date: 2002/11/17 17:28:43 $
Summary:	API documentation generation tool for GTK+ and GNOME
Summary(es):	El generador de documentacin del GTK
Summary(pl):	Narzdzie do generowania dokumentacji API do GTK+ i GNOME
Summary(pt_BR):	O gerador de documentao do GTK
Name:		gtk-doc
Version:	0.10
Release:	1
License:	LGPL
Group:		Development/Tools
Source0:	http://ftp.gnome.org/pub/gnome/sources/%{name}/0.10/%{name}-%{version}.tar.bz2
URL:		http://www.gtk.org/rdp/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	docbook-utils
BuildRequires:	openjade
BuildRequires:	libxslt-progs
Requires:	docbook-dtd412-xml >= 1.0-10
Requires:	docbook-style-dsssl >= 1.77
Requires:	docbook-style-xsl >= 1.55.0-3
Requires:	docbook-utils >= 0.6.10
Requires:	gnome-doc-tools >= 1.0-4
Requires:	libxslt-progs
Requires:	openjade
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
gtk-doc is a tool for generating API reference documentation. It is
used for generating the documentation for GTK+, GLib and GNOME.

%description -l pl
gtk-doc jest narzdziem do generowania dokumentacji API. Jest uywany
do generowania dokumentacji GLib, GTK+ i GNOME.

%package common
Summary:	Common directories for documetation generated using gtk-doc
Summary(pl):	Katalogi na dokumentacj wygenerowan za pomoc gtk-doc
# ???
Group:		Documentation

%description common
Common directories for API documentation for various packages,
generated using gtk-doc.

%description common -l pl
Katalogi na dokumetacj API do rnych pakietw, wygenerowan za
pomoc gtk-doc.

%prep
%setup -q
mv -f doc/README doc/README.docs

%build
rm -f missing
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	--enable-public-id
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_defaultdocdir}/gtk-doc/html

%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS README doc/*
%attr(755,root,root) %{_bindir}/*
%{_datadir}/gtk-doc

%files common
%defattr(644,root,root,755)
%dir %{_defaultdocdir}/gtk-doc
%dir %{_defaultdocdir}/gtk-doc/html

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: gtk-doc.spec,v $
Revision 1.23  2002/11/17 17:28:43  kloczek
- more macros.

Revision 1.22  2002/11/17 16:34:10  aflinta
- updated to version 0.10

Revision 1.21  2002/10/22 18:18:40  malekith
- release 9

Revision 1.20  2002/10/17 11:10:07  mmazur
- moved from DEVEL (I hope)

Revision 1.18.2.6  2002/10/16 12:58:40  wiget
- more Requires
- release 8

Revision 1.18.2.5  2002/10/14 14:13:38  malekith
- r: docbook-dtd412-xml >= 1.0-10

Revision 1.18.2.4  2002/10/14 13:52:02  malekith
- r: docbook-style-xsl in recent version
- release 7

Revision 1.18.2.3  2002/10/06 14:58:14  qboosh
- Conflicts broken docbook-style-xsl; release 6

Revision 1.18.2.2  2002/10/02 08:56:57  trojan
- added BR: libxslt-progs
- release 5

Revision 1.18.2.1  2002/09/30 16:09:15  wiget
- added xml.patch
- release 4

Revision 1.18  2002/07/03 08:26:42  ankry
- adapterized

Revision 1.17  2002/07/02 12:42:11  ankry
- added -common subpacage containing common dirs for gtk-doc generated
  documentation
- release 3, STBR

Revision 1.16  2002/06/05 07:08:09  wiget
require fixed docbook-utils package, release 2

Revision 1.15  2002/05/30 12:39:50  kloczek
- use new %doc.

Revision 1.14  2002/05/21 23:13:31  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.13  2002/04/26 12:39:40  michuz
- updated to 0.9

Revision 1.12  2002/04/25 16:31:02  arturs
fixed a small typo

Revision 1.11  2002/03/24 23:28:19  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.10  2002/02/22 23:29:01  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.9  2002/01/18 02:13:12  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.8  2001/12/01 20:31:48  kloczek
- updated to 0.7,
- removed obsoletes pubid patch,
- regenerate also automake files.

Revision 1.7  2001/11/29 21:33:08  filon
- fixed broken %%doc
- release 3

Revision 1.6  2001/09/28 09:28:16  qboosh
- added Source0 URL (note: there is 0.7 on ftp)

Revision 1.5  2001/08/29 03:50:59  agaran
ac25 ready

Revision 1.4  2001/06/17 18:04:51  kloczek
- release 2.

Revision 1.3  2001/06/15 15:57:59  baggins
- fixed gzipping docs

Revision 1.2  2001/04/13 22:36:21  kloczek
- added gzipping %doc.

Revision 1.1  2001/04/06 16:15:49  klakier
- adapted from rawhide

* Tue Jan 16 2001 Tim Waugh <twaugh@redhat.com>
- Replace docbook, sgml-common, and stylesheets requirements with
  docbook-utils requirement.
- Use public identifier in custom stylesheets.

* Thu Dec 14 2000 Bill Nottingham <notting@redhat.com>
- rebuild because of broken fileutils

* Mon Nov 13 2000 Owen Taylor <otaylor@redhat.com>
- Version 0.4b1 (CVS snapshot)

* Fri Apr 23 1999 Owen Taylor <otaylor@redhat.com>
- added Requires

* Fri Apr 23 1999 Owen Taylor <otaylor@redhat.com>
- Initial RPM, version 0.2
